# Markdown

Markdown component is a text-to-HTML conversion tool with a twist! Because,
instead of using semantic HTML tags, it uses our own atlantis component for
paragraph, bold, italic, and heading.


## Props

### Web

| Prop | Type | Required | Default | Description |
|------|------|----------|---------|-------------|
| `content` | `string` | Yes | — | Rich text content. |
| `basicUsage` | `boolean` | No | — | Only allow basic inline elements such as `_italic_`, `**bold**`, and `[link name](url)` |
| `externalLink` | `boolean` | No | — | Open all links in new tab. |
| `onLinkClick` | `(target: HTMLAnchorElement) => void` | No | — | Callback that gets called when a link in the text is clicked. @param target the target element that was clicked |
